# -*- coding: utf-8; indent-tabs-mode: nil -*-

# mailbridge: a mail storage spanning bridge
# 
# Copyright 2011 Ryan Hughes <ryan@n-h.com>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License, version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


class Message(object):
    '''
    classdocs
    '''


    def __init__(self):
        '''
        Constructor
        '''
        super(Message, self).__init__()
        self.rfc822 = None
        self.received_date = None
        self.flag_read = None
        self.flag_new = None
        self.flag_flagged = None
        self.flag_answered = None
        self.flag_forwarded = None
        self.flag_draft = None
        self.extra_flags = None
        
    def rfc822lines(self):
        lines = self.rfc822.split("\n")
        return lines